package com.ruoyi.common.mapper;

import java.util.List;
import com.ruoyi.common.domain.TCommonFile;

/**
 * 附件Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public interface TCommonFileMapper 
{
    /**
     * 查询附件
     * 
     * @param fileId 附件主键
     * @return 附件
     */
    public TCommonFile selectTCommonFileByFileId(Long fileId);

    /**
     * 查询附件列表
     * 
     * @param tCommonFile 附件
     * @return 附件集合
     */
    public List<TCommonFile> selectTCommonFileList(TCommonFile tCommonFile);

    /**
     * 新增附件
     * 
     * @param tCommonFile 附件
     * @return 结果
     */
    public int insertTCommonFile(TCommonFile tCommonFile);

    /**
     * 修改附件
     * 
     * @param tCommonFile 附件
     * @return 结果
     */
    public int updateTCommonFile(TCommonFile tCommonFile);

    /**
     * 删除附件
     * 
     * @param fileId 附件主键
     * @return 结果
     */
    public int deleteTCommonFileByFileId(Long fileId);

    /**
     * 批量删除附件
     * 
     * @param fileIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCommonFileByFileIds(Long[] fileIds);
}
